#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf libxcb-1.8.1.tar.bz2
    cd libxcb-1.8.1
    ./configure --prefix=/usr --sysconfdir=/etc/X11 --localstatedir=/var \
	    --datarootdir=/usr/lib --disable-static --enable-xinput \
	    --enable-xkb
    make
    strip -R .note -R .comment src/.libs/libxcb*.so.?
    mkdir -p ../libxcb1/lib
    cp src/.libs/libxcb*.so.? ../libxcb1/lib/
    cd ..
    rm -rf libxcb-1.8.1
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
